[med-svn] [ngopt] 01/01: Consider packaging, last stumbling stone seems to be jsc.jar which has a totally broken license: http://www.jsc.nildram.co.uk/terms.html
Andreas Tille
tille at debian.org
Tue Apr 11 09:46:27 UTC 2017
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to branch master
in repository ngopt.
commit 6beb5cf23f3fe157fa7d8d5671ce3e72f2ed3fe9
Author: Andreas Tille <tille at debian.org>
Date: Tue Apr 11 11:45:34 2017 +0200
Consider packaging, last stumbling stone seems to be jsc.jar which has a totally broken license: http://www.jsc.nildram.co.uk/terms.html
---
debian/changelog | 2 +-
debian/control | 13 ++++++++++---
debian/get-orig-source | 35 +++++++++++++++++++++++++++++++++++
debian/rules | 3 +--
debian/watch | 3 ++-
5 files changed, 49 insertions(+), 7 deletions(-)
diff --git a/debian/changelog b/debian/changelog
index d475b5f..ddd9778 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,4 @@
-ngopt (0.0.20150522-1) local; urgency=low
+ngopt (0.0.20160825-1) local; urgency=low
* local use, no intend to release
diff --git a/debian/control b/debian/control
index ed1d343..2aaf01e 100644
--- a/debian/control
+++ b/debian/control
@@ -3,8 +3,11 @@ Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.
Uploaders: Andreas Tille <tille at debian.org>
Section: science
Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10),
+ libconcurrent-java,
+ libcolt-free-java,
+ libjgrapht0.6-java
+Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ngopt.git
Vcs-Git: git://anonscm.debian.org/debian-med/ngopt.git
Homepage: http://sourceforge.net/projects/ngopt/
@@ -12,7 +15,11 @@ Homepage: http://sourceforge.net/projects/ngopt/
Package: ngopt
Architecture: any
Depends: ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ ${java:Depends},
+ libconcurrent-java,
+ libcolt-free-java,
+ libjgrapht0.6-java
Description: de novo assembly & analysis of Illumina sequence data
de novo assembly & analysis of Illumina sequence data, including the A5
pipeline, A5-miseq, tools to evaluate assembly quality, and scripts to
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..92dbeab
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,35 @@
+#!/bin/sh
+# get source for ngopt from SVN because there is no source tarball distribution
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+ VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+else
+ VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+ if echo "$VERSION" | grep -q "upstream-version" ; then
+ echo "Unable to parse version number"
+ exit
+ fi
+fi
+
+SVNURI="https://svn.code.sf.net/p/ngopt/code/trunk"
+revision=`LANG=C svn info ${SVNURI} | grep "^Last Changed Rev:" | sed 's/Last Changed Rev: *//'`
+VERSION=`echo ${VERSION}| sed "s/+[0-9]\+$//"`+${revision}
+
+TARDIR=${NAME}-${VERSION}
+
+mkdir -p ../tarballs
+cd ../tarballs
+# svn export conserves time stamps of the files, checkout does not
+LC_ALL=C svn export ${SVNURI} ${TARDIR} >/dev/null 2>/dev/null
+
+cd ${TARDIR}
+rm -rf idba* linux-x64 ms osx SSPACE FISH bin/idba_pe
+rm -f ext/c* ext/jg*
+echo "Needs packaging jsc.jar: http://www.jsc.nildram.co.uk/downloads/download.html"
+cd ..
+
+tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.xz "${TARDIR}"
+rm -rf "${NAME}"-"$VERSION"
diff --git a/debian/rules b/debian/rules
index 89e20d0..853664f 100755
--- a/debian/rules
+++ b/debian/rules
@@ -6,5 +6,4 @@
dh $@
get-orig-source:
- mkdir -p ../tarballs
- uscan --verbose --force-download --destdir ../tarballs
+ . debian/get-orig-source
diff --git a/debian/watch b/debian/watch
index 4074d92..b62cfbf 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,3 +1,4 @@
version=3
opts=uversionmangle=s/^/0.0./ \
- http://sf.net/ngopt/a5_miseq_linux_(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
+ http://sf.net/ngopt/a5_miseq_linux_(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
+ debian debian/get-orig-source
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/ngopt.git
More information about the debian-med-commit
mailing list